### Hierarchy

- unknown
  - StoragePayload

## Index

### Constructors

- constructor

### Methods

- clearAlert
- clearArbitrator
- clearFilter
- clearMailboxStoragePayload
- clearMediator
- clearOfferPayload
- clearRefundAgent
- getAlert
- getArbitrator
- getFilter
- getMailboxStoragePayload
- getMediator
- getMessageCase
- getOfferPayload
- getRefundAgent
- hasAlert
- hasArbitrator
- hasFilter
- hasMailboxStoragePayload
- hasMediator
- hasOfferPayload
- hasRefundAgent
- serializeBinary
- setAlert
- setArbitrator
- setFilter
- setMailboxStoragePayload
- setMediator
- setOfferPayload
- setRefundAgent
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new StoragePayload(): StoragePayload

- Inherited from jspb.Message.constructor

  #### Returns StoragePayload

## Methods

### clearAlert

- clearAlert(): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2405

  #### Returns StoragePayload

### clearArbitrator

- clearArbitrator(): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2410

  #### Returns StoragePayload

### clearFilter

- clearFilter(): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2420

  #### Returns StoragePayload

### clearMailboxStoragePayload

- clearMailboxStoragePayload(): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2425

  #### Returns StoragePayload

### clearMediator

- clearMediator(): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2415

  #### Returns StoragePayload

### clearOfferPayload

- clearOfferPayload(): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2430

  #### Returns StoragePayload

### clearRefundAgent

- clearRefundAgent(): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2435

  #### Returns StoragePayload

### getAlert

- getAlert(): undefined | Alert

- - Defined in src/protobuf/pb_pb.d.ts:2402

  #### Returns undefined | Alert

### getArbitrator

- getArbitrator(): undefined | Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:2407

  #### Returns undefined | Arbitrator

### getFilter

- getFilter(): undefined | Filter

- - Defined in src/protobuf/pb_pb.d.ts:2417

  #### Returns undefined | Filter

### getMailboxStoragePayload

- getMailboxStoragePayload(): undefined | MailboxStoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2422

  #### Returns undefined | MailboxStoragePayload

### getMediator

- getMediator(): undefined | Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2412

  #### Returns undefined | Mediator

### getMessageCase

- getMessageCase(): StoragePayload . MessageCase

- - Defined in src/protobuf/pb_pb.d.ts:2437

  #### Returns StoragePayload . MessageCase

### getOfferPayload

- getOfferPayload(): undefined | OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:2427

  #### Returns undefined | OfferPayload

### getRefundAgent

- getRefundAgent(): undefined | RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2432

  #### Returns undefined | RefundAgent

### hasAlert

- hasAlert(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2404

  #### Returns boolean

### hasArbitrator

- hasArbitrator(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2409

  #### Returns boolean

### hasFilter

- hasFilter(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2419

  #### Returns boolean

### hasMailboxStoragePayload

- hasMailboxStoragePayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2424

  #### Returns boolean

### hasMediator

- hasMediator(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2414

  #### Returns boolean

### hasOfferPayload

- hasOfferPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2429

  #### Returns boolean

### hasRefundAgent

- hasRefundAgent(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2434

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2439

  #### Returns Uint8Array

### setAlert

- setAlert(value?: Alert ): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2403

  #### Parameters

  - ##### Optional value: Alert

  #### Returns StoragePayload

### setArbitrator

- setArbitrator(value?: Arbitrator ): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2408

  #### Parameters

  - ##### Optional value: Arbitrator

  #### Returns StoragePayload

### setFilter

- setFilter(value?: Filter ): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2418

  #### Parameters

  - ##### Optional value: Filter

  #### Returns StoragePayload

### setMailboxStoragePayload

- setMailboxStoragePayload(value?: MailboxStoragePayload ): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2423

  #### Parameters

  - ##### Optional value: MailboxStoragePayload

  #### Returns StoragePayload

### setMediator

- setMediator(value?: Mediator ): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2413

  #### Parameters

  - ##### Optional value: Mediator

  #### Returns StoragePayload

### setOfferPayload

- setOfferPayload(value?: OfferPayload ): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2428

  #### Parameters

  - ##### Optional value: OfferPayload

  #### Returns StoragePayload

### setRefundAgent

- setRefundAgent(value?: RefundAgent ): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2433

  #### Parameters

  - ##### Optional value: RefundAgent

  #### Returns StoragePayload

### toObject

- toObject(includeInstance?: boolean): StoragePayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2440

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns StoragePayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2443

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StoragePayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StoragePayload, reader: BinaryReader): StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2444

  #### Parameters

  - ##### message: StoragePayload

  - ##### reader: BinaryReader

  #### Returns StoragePayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: StoragePayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2442

  #### Parameters

  - ##### message: StoragePayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: StoragePayload ): StoragePayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2441

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StoragePayload

  #### Returns StoragePayload . AsObject

Generated using TypeDoc